l i n u x - u s e r s - g r o u p - o f - d a v i s
L U G O D
 
Next Meeting:
April 21: Google Glass
Next Installfest:
TBD
Latest News:
Mar. 18: Google Glass at LUGOD's April meeting
Page last updated:
2004 Apr 13 14:07

The following is an archive of a post made to our 'vox-tech mailing list' by one of its subscribers.

Report this post as spam:

(Enter your email address)
[vox-tech] kde upgrade wrecked gnome
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[vox-tech] kde upgrade wrecked gnome



I tried to upgrade to kde 3.2 on a redhat 9.0 system. I followed the instructions on the kde site and used apt-get and the kde-redhat.org repository. KDE seems to be functioning, but now Gnome is inaccessible and my old software, like mozilla and firebird, won't run.

When I run apt-get check I get:

root@pogo bruce]# apt-get check
Reading Package Lists... Done
Building Dependency Tree... Done
You might want to run `apt-get -f install' to correct these.
The following packages have unmet dependencies:
kdeaddons: Depends: libgdk-1.2.so.0
Depends: libgtk-1.2.so.0
Depends: libxmms.so.1
kdebase: Depends: redhat-artwork (>= 0.49) but it is not installed
kdebindings: Depends: libgdk-1.2.so.0
Depends: libgtk-1.2.so.0
Depends: libgtkembedmoz.so
kdelibs: Depends: redhat-artwork (>= 0.53) but it is not installed
mozilla-devel: Depends: mozilla (= 37:1.4.2-0.9.0) but it is not installed
E: Unmet dependencies. Try using -f.

When I try -f, I get:

[root@pogo bruce]# apt-get -f install
Reading Package Lists... Done
Building Dependency Tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
PyQt PyQt-devel PyQt-examples alsa-lib arts arts-devel hicolor-icon-theme
jasper kdeaddons kdebase kdebase-devel kdebindings kdebindings-devel kdelibs
kdelibs-devel kdesdk kdesdk-devel kdevelop libmad libxml2 libxml2-devel
libxml2-python libxslt libxslt-devel libxslt-python mozilla-devel
mozilla-nspr mozilla-nspr-devel mozilla-nss mozilla-nss-devel qscintilla qt
qt-MySQL qt-ODBC qt-PostgreSQL qt-designer qt-devel sip sip-devel themer
valgrind
The following packages will be upgraded
PyQt PyQt-devel PyQt-examples arts arts-devel kdeaddons kdebase kdebase-devel
kdebindings kdebindings-devel kdelibs kdelibs-devel kdesdk kdesdk-devel
kdevelop libxml2 libxml2-devel libxml2-python libxslt libxslt-devel
libxslt-python mozilla-devel mozilla-nspr mozilla-nspr-devel mozilla-nss
mozilla-nss-devel qt qt-MySQL qt-ODBC qt-PostgreSQL qt-designer qt-devel sip
sip-devel
The following packages will be REPLACED:
qt-Xt (by qt)
The following NEW packages will be installed:
alsa-lib hicolor-icon-theme jasper libmad qscintilla themer valgrind
34 packages upgraded, 7 newly installed, 1 replaced, 0 removed and 138 not upgraded.
Need to get 0B/92.2MB of archives.
After unpacking 32.9MB disk space will be freed.
Do you want to continue? [Y/n] y
Executing RPM (-Uvh)...
warning: /var/cache/apt/archives/alsa-lib_0.9.8-1.fr_i386.rpm: V3 DSA signature: NOKEY, key ID e42d547b
warning: /var/cache/apt/archives/themer_0%3a1.50-0.fdr.0_noarch.rpm: V3 DSA signature: NOKEY, key ID ff6382fa
Preparing... ########################################### [100%]
file /usr/share/mimelnk/application/x-kudesigner.desktop from install of kdelibs-3.2.1-0.fdr.5.rh90 conflicts with file from package koffice-1.2.1-7
E: Sub-process /bin/rpm returned an error code (76)
[root@pogo bruce]#

When I try to run mozilla or firefox I get:

[bruce@pogo mozilla-1.4]$ ./mozilla
./mozilla-bin: error while loading shared libraries: libgtk-1.2.so.0: cannot open shared object file: No such file or directory

[bruce@pogo firefox]$ ./firefox
./firefox-bin: error while loading shared libraries: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory

Obviously these libraries used to be there. Why would kde remove them?

If I try to run "apt-get install gtk+" to load the gtk libraries, I get a bunch of dependancy errors as well. I thought apt was supposed to eliminate the dependancy hell, but obviously not.

Thanks for any help you can give me.

Bruce

_______________________________________________
vox-tech mailing list
vox-tech@lists.lugod.org
http://lists.lugod.org/mailman/listinfo/vox-tech



LinkedIn
LUGOD Group on LinkedIn
Sign up for LUGOD event announcements
Your email address:
facebook
LUGOD Group on Facebook
'Like' LUGOD on Facebook:

Hosting provided by:
Sunset Systems
Sunset Systems offers preconfigured Linux systems, remote system administration and custom software development.

LUGOD: Linux Users' Group of Davis
PO Box 2082, Davis, CA 95617
Contact Us

LUGOD is a 501(c)7 non-profit organization
based in Davis, California
and serving the Sacramento area.
"Linux" is a trademark of Linus Torvalds.

Sponsored in part by:
Appahost Applications
For a significant contribution towards our projector, and a generous donation to allow us to continue meeting at the Davis Library.